Page MenuHomePhabricator

Dialog/notification concept
Closed, ResolvedPublic2 Story Points

Description

User stories

User story 01 (Notifications):
As a user of the Android app I would like to be notified when I have unlocked editor tasks features like add or translate title descriptions even when the app is closed.

User story 02 (Dialogs):
As a user of the Android app I would like to be informed when I have unlocked editor tasks features like add or translate title descriptions when I’m currently in the app.


Design

👉 Dialog/notification concept | T217369 on Zeplin


Copy

✍️ Please make sure to use the latest copy from the Editor tasks | Copy master doc.


Concept

  • The two types of dialogs/notifications that will be displayed are:
    • 'You unlocked the “Add descriptions“ editor task', after the 3rd (not reverted) contribution
    • 'You unlocked the “Translate descriptions“ editor task', after the 50th (not reverted) contribution
  • What does “not reverted“ mean:
    • Definition of “not reverted“ from Help:Reverting: “Reverting means undoing or otherwise negating the effects of one or more edits, which results in the page (or a part of it) being restored to a previous version. Partial reversion involves restoring one part of the page to a previous version, but leaving other contributions intact.“
    • If a user’s edit has not been reverted or partially reverted within 24 hours, the edit is considered as verified.
    • Why 24h? Conversation with @Pginer-WMF about it in a nutshell: Review of contributions usually happen quite fast, most of the reviews happen within one day.
    • To reiterate:
      • If users have added 3 (title) descriptions that have not been reverted or partially reverted within 24h, “Editor tasks“ and with it, the “Add title descriptions“ task is unlocked/available.
      • If users have added 50 (title) descriptions that have not been reverted or partially reverted within 24h, “Editor tasks“ and with it, the “Translate title descriptions“ task is unlocked/available.
  • In case users access “Editor tasks“ for the first time, tapping “Yes, let’s go“ within the notification/dialog takes users to the onboarding screen.
  • Notifications:
    • Notifications for unlocking Editor tasks are shown, when users are outside the app while the unlock happens (e.g. 24h after 3/50 not reverted edits).
    • Tapping a notification takes users to Editor tasks
    • Notifications related to Editor tasks are listed within “Notifications“ in the app’s main menu.
  • Dialogs:
    • Dialogs for unlocking Editor tasks are shown, when users are currently in the app while the unlock happens.
    • “Yes, let’s go“ leads users to Editor tasks
    • “Maybe later“ takes users back to where they were in the app
    • Please consider that both dialogs use a custom header illustration

Event Timeline

Hey @Charlotte feel free to take a crack at rewriting the copy in this task, I’ve added to the copy master doc.

schoenbaechler removed schoenbaechler as the assignee of this task.Feb 28 2019, 8:32 PM

@schoenbaechler - Done! Updated a few strings. Should be good to go now.

Hey @Charlotte, I enhanced this task with the notification concept and put some more thought into the copy. I made the dialog/notification copy more personal, addressed users directly (good old fundraising practices ;)) and thought about modularity of the text. Screens and copy master doc are up to date, appreciate your review.


Could you review this from a developer’s perspective @Dbrant @cooltey @Sharvaniharan? Please let me know if you have any questions or if something’s unclear. Thanks!

@schoenbaechler - Looks good! I have tweaked the copy somewhat in the spreadsheet, just making a few grammar and punctuation tweaks.

Charlotte triaged this task as Normal priority.Mar 14 2019, 2:59 PM

@schoenbaechler and @Charlotte

Should the notifications be listing into the Notifications screen as a history?

@cooltey - For the v1 release, no. It would be too much work to hook these up to the echo service. For v2, I would love to have this and will make a ticket.

The initial implementations are done. Move to Blocked/Waiting column and waiting for the deployment of "suggested edits count" API.

Hey @cooltey, thanks for the pings! I tried to have a look at it today but it seems like the logic of waiting 24 hours after an edit seems to be working already. I can’t unlock the feature after 3+ edits?

If users have added 3 (title) descriptions that have not been reverted or partially reverted within 24h, “Editor tasks“ and with it, the “Add title descriptions“ task is unlocked/available.

Is there a way to unlock it after 3+ edits in the Alpha without the 24 hours "waiting time"? Thanks.

cooltey added a subscriber: ABorbaWMF.EditedApr 2 2019, 6:07 PM

Yes, @schoenbaechler and cc @ABorbaWMF for testing purposes.

You can follow the steps below to enter the Add description or Translate description screens directly.

  1. Open the left drawer menu and click on "About"
  2. In "About screen", tap on the Globe logo seven times to unlock the developer settings
  3. Open the left drawer menu and click on "Settings"
  4. Click on the icon in the top-right side to enter the "Developer settings"
  5. Scroll down to the bottom and you will see the "Suggested edits" section that contains many options allows you to test.

Please notice that the suggestedEditsAddDescriptionsUnlocked and suggestedEditsTranslateDescriptionsUnlocked will be automatically updated by the background service, and they depend on your actual edit counts.

The best way to get into the Add description or Translate description screens before actually unlocked is to click on the dialogs/notifications.

Steps demo: https://www.youtube.com/watch?v=L3oM1cmNmYo

Just downloaded the latest Alpha (2.7.276-alpha-2019-04-03) to a Pixel 3 with Android’s system developer settings turned on. Tried the steps you described @cooltey but I don’t see the (Developer settings) icon from the video at the top right in the app’s settings. Is there anything else I need to enable? (CC: @Dbrant since he might see this earlier due to ET timezone). Thanks!

@schoenbaechler To enable developer settings, go to the About screen and tap the Globe logo seven times.

Thanks @cooltey, things I noticed:

01 Remove “Congratulations (...)“ from the notification preview (translate description unlock)

02 Please de-emphasize “Maybe later“ in both the add & translate dialog (secondary_text_color)

ImplementationvsDesign

Plus, it seems like android:letterSpacing is too wide for both buttons (“Yes, let’s go“ and “Maybe later“). What is the current sp value for it?

03 Pencil size in illustration varies. Are we using the latest illustration on Zeplin? Maybe an SVG to XML issue?

ImplementationvsDesign

@schoenbaechler

02 Please de-emphasize “Maybe later“ in both the add & translate dialog (secondary_text_color)

The standard color of dialog buttons are the same.
https://material.io/design/components/dialogs.html

Plus, it seems like android:letterSpacing is too wide for both buttons (“Yes, let’s go“ and “Maybe later“). What is the current sp value for it?

We didn't set the android:letterSpacing value to it

03 Pencil size in illustration varies. Are we using the latest illustration on Zeplin? Maybe an SVG to XML issue?

Not sure if it is a latest version of the image, but looks like something went wrong when I trying to import the SVG to XML.

  • The standard color of dialog buttons are the same.
  • We didn't set the android:letterSpacing value to it

Ok!

Not sure if it is a latest version of the image, but looks like something went wrong when I trying to import the SVG to XML.

I replaced the Add description and Translate description illustration on Zeplin with a simplified one that shouldn’t throw out any errors. Could you replace it?

Once the illustration has been replaced, the task’s ready for QA signoff. Thanks @cooltey!

Looks good to me on both notifications and dialogs on 2.7.276-alpha-2019-04-04

Dbrant closed this task as Resolved.Apr 8 2019, 1:45 PM